# cts et diagonales d'un polygone rgulier 
# de n cts, inscrit dans un cercle de diamtre d

END {
  r = d/2
  a=8*atan2(1,1)/n
  for(i=0;i<n;i++) {
    c[i, 0] = r+r*cos(i*a)
    c[i, 1] = r+r*sin(i*a)
  }
#  print "\\underline{$n = " n "$}\\\\"
#  print "\\nobreakpage"
  print "\\begin{center}"
  print "\\setlength{\\unitlength}{1mm}"
  print "\\hspace*{0mm}\\begin{picture}(" d "," d ")"
  print "\\put(0,0){\\underline{$n=" n "$}}"
  print "\\thinlines"
  for(i=1;i<n;i++) 
    for(j=0;j<i;j++) 
      print "\\drawline(" c[i, 0] "," c[i, 1] ")(" c[j, 0] "," c[j, 1] ")"
  print "\\end{picture}"
  print "\\end{center}"
}
